:root {
  --measure: 100%;
  --gutter: 0.2rem;

  @media (min-width: 300px) {
    font-size: 80%;
  }

  @media (min-width: 450px) {
    font-size: 100%;
  }

  @media (min-width: 960px) {
    font-size: 125%;
  }
}

* {
  box-sizing: border-box;
  line-height: 1.2rem;
  margin: 0;
  padding: 0;
  max-width: var(--measure);
  font-family: 'Roboto', sans-serif;
}

html,
body,
div,
header,
nav,
main,
footer {
  max-width: none;
}

h1 {
  line-height: 2rem;
  font-family: 'Protest Strike', sans-serif;
  font-weight: bold;
  font-size: 2.4rem;
}

canvas {
  display: block;
  max-width: 100%;
  /* padding: 1rem; */
}

button {
  display: block;
  background-color: #fefefe;
  border: 0.1rem solid black;
  border-radius: 0.2rem;
  color: #333333;
  font-size: 1rem;
  font-weight: thin;
  padding: 0.4rem;
}

button > div {
  max-width: 100%;
  text-wrap: wrap;
  word-break: break-all;
}

button:hover {
  cursor: pointer;
  opacity: 0.7;
  transition: 0.2s ease-out all;
}

.button-active {
  background-color: #cccccc;
}

.with-sidebar {
  display: flex;
  flex-wrap: wrap;
}

.sidebar {
  flex-basis: 14rem;
  flex-grow: 1;
  background-color: #eeeeee;
}
.not-sidebar {
  flex-basis: 0;
  flex-grow: 999;
  min-width: 60%;
  background-color: #dddddd;
  min-height: 100vh;
}

.not-sidebar > canvas {
  margin-left: auto;
  margin-right: auto;
}

[class*='box'] {
  padding: 1rem;
}

[class*='stack'] {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}


[class*='stack'] > * + * {
  margin-top: var(--gutter);
}

.stack-sidebar > :nth-child(1) {
  margin-bottom: auto;
}

.stack-button-list {
  flex-wrap: wrap;
  justify-content: flex-start;
  /* gap: var(--gutter); */
}

.stack-button-list > * {
  flex-grow: 1;
  flex-shrink: 1;
  flex-basis: 40%;
}

.stack-button-list > :first-child {
  margin-top: var(--gutter);
}

.switcher > * {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  gap: var(--gutter);
}

.switcher > * > * {
  flex-grow: 1;
  text-wrap: wrap;
  word-break: break-all;
  flex-basis: calc((20rem - 100%) * 999); 

}